MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023323Community[OCCT] OCCT:Visualizationpublic2012-07-18 13:572013-04-29 15:21
ReporterPawel 
Assigned Toaba 
PrioritynormalSeverityjust a question 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023323: Duplicate if-clause in Visual3d_View.cxx
DescriptionIn lines 1320 and 1322 the same if-clause is specified

if (VUPIsModified || VRPIsModified || VRUIsModified || CustomIsModified) {

Not sure about the intention of that code...

Is this possible that the second 'if' should check a subset of flags from the preceding if-clause?
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021957)
aba (developer)
2012-10-25 17:10

An outer condition in line 1320 was modified to consider the ScaleIsModified variable.

The Git branch CR23323 is ready to be reviewed.
Dear san, please review.
(0021980)
san (developer)
2012-10-27 00:03
edited on: 2012-10-27 00:04

Branch CR23323 reviewed with the following remark:

Note that CustomIsModified flag indicates a change in the custom view orientation matrix.
If this matrix is not null, then it is up to an application to update it. OCCT cannot recompute the custom view orientation matrix, hence it is necessary to check carefully if these two lines should be executed when CustomIsModified is true:

                MyMatOfOriIsModified = Standard_True;
                MyMatOfOriIsEvaluated = Standard_False;

However, adding ScaleIsModified to the outer condition looks correct and should be kept.

(0022129)
aba (developer)
2012-11-07 15:22
edited on: 2012-11-13 19:32

The Git branch CR23323 was updated.

1) MyMatOfOriIsModified and MyMatOfMapIsModified flages were removed from Visual3d_View.cxx and from Visual3d_View.pxx as unused ones.

2) MyMatOfOriIsEvaluated and MyMatOfMapIsEvaluated flags were left as they are used to check if it it necessary to get orientation and mapping matrices or they are evaluated already.

3)CustomIsModified flag was replaced with ScaleIsModified flag in checking of view matrix modification in line 1196 of SetViewOrientation method and in line 1310 of ViewOrientationReset method.

Dear san, please review.

(0022232)
san (developer)
2012-11-13 19:41

Branch CR23323 reviewed without remarks, ready for testing.
(0022279)
mkv (tester)
2012-11-16 14:58

Dear BugMaster,
Branch CR23323 (and master from occt GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
3rdparty export(001) A2 A3 A4 A6 A7
bugs demo(001) CR23410
bugs vis(004) CR23407_1 CR23407_2

chl 901 A9
chl 913 D4
chl 922 S6
chl 926 A1
chl 927 V8
chl 928 O5 R4
chl 929 E2
chl 934 C0 H1 O3 R5 V3 Z3
chl 941 B1 B6
chp 003 F3

Improvements:
Not detected

Testing cases:
Not needed

See results in /QADisk/occttests/results/KAS/dev/CR23323-master-products_15112012
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-11-09-IR-2012-11-09-products_10112012
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0022557)
aba (developer)
2012-12-05 10:27

The Git branch CR23323 was updated.

The flag 'IsInitialized' was added in Visual3d_View.pxx to check in Visual3d_View::SetViewOrientation() and Visual3d_View::ViewOrientationReset() methods whether the orientation matrix was counted or not.

Dear san, please review.
(0022595)
san (developer)
2012-12-06 16:14

Branch CR23323 reviewed without remarks, ready for testing.
(0022628)
mkv (tester)
2012-12-07 17:55

Dear BugMaster,
Branch CR23323 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master bd92cc2a
Timestamp: 2012-12-14 12:08:27
Author: aba
Details ] Diff ]
0023323: Duplicate if-clause in Visual3d_View.cxx

Changed an outer condition.
Deleted MyMatOfOriIsModified and MyMatOfMapIsModified flags.Deleted all modification flags from ViewOrientationReset() and SetViewOrientation() functions.
Checkings of view modifications in SetViewOrientation() and ViewOrientationReset() methods were returned
CustomIsModified flag was replaced by ScaleIsModified flag in modification checking.
Added 'IsInitialized' flag to check if orientation matrix was set
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-18 13:57 Pawel New Issue
2012-07-18 13:57 Pawel Assigned To => bugmaster
2012-08-17 16:44 bugmaster Assigned To bugmaster => san
2012-08-17 16:44 bugmaster Status new => assigned
2012-10-23 11:35 abv Target Version 6.5.4 => 6.6.0
2012-10-24 13:46 san Assigned To san => aba
2012-10-25 17:10 aba Note Added: 0021957
2012-10-25 17:10 aba Status assigned => resolved
2012-10-25 17:11 aba Assigned To aba => san
2012-10-27 00:03 san Note Added: 0021980
2012-10-27 00:03 san Assigned To san => aba
2012-10-27 00:03 san Status resolved => assigned
2012-10-27 00:04 san Note Edited: 0021980 View Revisions
2012-11-07 15:22 aba Note Added: 0022129
2012-11-07 15:23 aba Assigned To aba => san
2012-11-07 15:23 aba Status assigned => resolved
2012-11-13 19:32 aba Note Edited: 0022129 View Revisions
2012-11-13 19:41 san Note Added: 0022232
2012-11-13 19:41 san Assigned To san => bugmaster
2012-11-13 19:41 san Status resolved => reviewed
2012-11-14 12:20 mkv Assigned To bugmaster => mkv
2012-11-16 14:58 mkv Note Added: 0022279
2012-11-16 14:59 mkv Test case number => Not needed
2012-11-16 14:59 mkv Assigned To mkv => aba
2012-11-16 14:59 mkv Status reviewed => assigned
2012-12-05 10:27 aba Note Added: 0022557
2012-12-05 10:27 aba Assigned To aba => san
2012-12-05 10:27 aba Status assigned => resolved
2012-12-06 16:14 san Note Added: 0022595
2012-12-06 16:14 san Assigned To san => bugmaster
2012-12-06 16:14 san Status resolved => reviewed
2012-12-06 20:22 mkv Assigned To bugmaster => mkv
2012-12-07 17:55 mkv Note Added: 0022628
2012-12-07 17:55 mkv Assigned To mkv => bugmaster
2012-12-07 17:55 mkv Status reviewed => tested
2012-12-18 10:45 aba Changeset attached => occt master bd92cc2a
2012-12-18 10:45 aba Assigned To bugmaster => aba
2012-12-18 10:45 aba Status tested => verified
2012-12-18 10:45 aba Resolution open => fixed
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker